const path = require('path');

const mainController = {
    root: (req, res) => {
        if (typeof req.session.publicKey === 'undefined') {
            // main page when not logged in
            res.render('index');
        } else {
            res.render('index');
        }
    },
    style: (req, res) => {
        res.sendFile(path.resolve(__dirname + '/../public/style.css'));
    },
    script: (req, res) => {
        res.sendFile(path.resolve(__dirname + '/../public/script.js'));
    },
    ecc: (req, res) => {
        res.sendFile(path.resolve(__dirname + '/../public/ecc.js'));
    },
    popups: (req, res) => {
        res.sendFile(path.resolve(__dirname + '/../public/popups.js'));
    }
};

module.exports = mainController;
